Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# gil_all.hpp File Reference

## Detailed Description

Includes all GIL files for convenience.

Author:
  Lubomir Bourdev and Hailin Jin
  Adobe Systems Incorporated

`#include "gil_config.hpp"`
`#include "channel_algorithm.hpp"`
`#include "algorithm.hpp"`
`#include "pixel.hpp"`
`#include "packed_pixel.hpp"`
`#include "planar_pixel_reference.hpp"`
`#include "planar_pixel_iterator.hpp"`
`#include "pixel_iterator_adaptor.hpp"`
`#include "step_iterator.hpp"`
`#include "iterator_from_2d.hpp"`
`#include "image.hpp"`
`#include "image_view_factory.hpp"`
`#include "typedefs.hpp"`
`#include "metafunctions.hpp"`
`#include "color_convert.hpp"`
`#include "device_n.hpp"`
`#include "virtual_locator.hpp"`
`#include "bit_aligned_pixel_iterator.hpp"`

Go to the source code of this file.